{% extends 'pages/pages_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block pages_body %}

    <!-- product details area start -->
    <div class="product-details-area hm-3-padding ptb-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="product-details-img-content">
                        <div class="product-details-tab">
                            <div class="product-details-large tab-content">
                                <div class="tab-pane active" id="pro-details1">
                                    <div class="easyzoom">
                                        <a href="{{ asset(product.imagePath) }}">
                                            <img src="{{ asset(product.imagePath) }}" alt="">
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="product-details-content">
                        <h2>{{ product.title }}</h2>

                        <div class="product-rating">
                            <i class="ion-ios-star"></i>
                            <i class="ion-ios-star"></i>
                            <i class="ion-ios-star"></i>
                            <i class="ion-ios-star"></i>
                            <i class="ion-ios-star"></i>
                        </div>

                        <div class="product-price">
                            {% if product.price != product.finalPrice %}
                                <span class="old">$<span class="money">{{ product.price }}</span> </span>
                            {% endif %}
                            <span>$<span class="money">{{ product.finalPrice }}</span></span>
                        </div>

                        <div class="product-overview">
                            <h5 class="pd-sub-title">Product Overview</h5>
                            <p>{{ product.description|truncate(150) }}</p>
                        </div>

                        {% if app.user %}
                            <div class="quickview-plus-minus">
                                <div class="quickview-btn-cart">
                                    {% if product.stock > 0 %}
                                        <a class="btn-style cr-btn" href="#" onclick="event.preventDefault();document.getElementById('add-to-cart').submit();">
                                            <span>add to cart</span>
                                        </a>
                                        <form id="add-to-cart" action="{{ path('app_cart_order_store') }}" method="post">
                                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('add-to-cart') }}">
                                            <input type="hidden" name="product" value="{{ product.id }}">
                                        </form>
                                    {% else %}
                                        <a class="btn-style cr-btn out_of_stock">
                                            <span>Out Of Stock</span>
                                        </a>
                                    {% endif %}
                                </div>
                            </div>
                        {% endif %}

                        <div class="product-categories">
                            <h5 class="pd-sub-title">Category</h5>
                            <ul>
                                <li>
                                    <a href="#">{{ product.category.title }}</a>
                                </li>
                            </ul>
                        </div>
                        <div class="product-share">
                            <h5 class="pd-sub-title">Share</h5>
                            <ul>
                                <li>
                                    <a href="#">
                                        <i class="ion-social-twitter"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <i class="ion-social-tumblr"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <i class="ion-social-facebook"></i>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <i class="ion-social-instagram-outline"></i>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- product details area End -->
    <!--Product Description Review Area Start-->
    <div class="product-description-review-area pb-55">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="product-review-tab">
                        <!--Review And Description Tab Menu Start-->
                        <ul class="nav dec-and-review-menu">
                            <li>
                                <a class="active" data-toggle="tab" href="#description">Description</a>
                            </li>
                            <li>
                                <a data-toggle="tab" href="#reviews">Reviews ({{ product.comments|length }})</a>
                            </li>
                        </ul>
                        <!--Review And Description Tab Menu End-->
                        <!--Review And Description Tab Content Start-->
                        <div class="tab-content product-review-content-tab" id="myTabContent-4">
                            <div class="tab-pane fade active show" id="description">
                                <div class="single-product-description">
                                    <p>{{ product.description|nl2br }}</p>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="reviews">
                                <div class="review-page-comment">
                                    <h2>{{ product.comments|length }} review for {{ product.title }}</h2>
                                    <ul>
                                        {% for comment in product.comments %}
                                            <li>
                                                <div class="product-comment">
                                                    <img src="assets/img/author.png" alt="">
                                                    <div class="product-comment-content">
                                                        <div class="product-reviews">
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                            <i class="fa fa-star"></i>
                                                        </div>
                                                        <p class="meta">
                                                            <strong>{{ comment.user.fullName }}</strong> -
                                                            <span>{{ comment.createdAt|ago }}</span>
                                                            <div class="description">
                                                        <p>{{ comment.text|nl2br }}</p>
                                                    </div>
                                                </div>
                                            </li>
                                        {% endfor %}
                                    </ul>
                                </div>
                                {% if app.user %}
                                    <div class="review-form-wrapper">
                                        <div class="review-form">
                                            <span class="comment-reply-title">Add a review </span>
                                            <form action="{{ path('app_comment_store') }}" method="post">
                                                <input type="hidden" name="_csrf_token" value="{{ csrf_token('add-comment') }}">
                                                <input type="hidden" name="product" value="{{ product.id }}">
                                                <div class="input-element">
                                                    <div class="comment-form-comment">
                                                        <label>Comment</label>
                                                        <textarea name="text" cols="40" rows="8"></textarea>
                                                    </div>
                                                    <div class="comment-submit">
                                                        <input type="submit" class="submit" id="submit" value="Add comment">
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    <!--Review And Description Tab Content End-->
                </div>
            </div>
        </div>
    </div>
    </div>
    <!--Product Description Review Area Start-->

    {% if relatedProducts %}
        <div class="product-area pb-55 rltd__pduct  product-padding">
            <div class="container">
                <div class="section-title-2 text-center mb-25">
                    <h2 class="m-0">Related products</h2>
                    <p>The most prominent product in the store, which was bought with the highest number - upsell</p>
                </div>

                <div class="row">
                    <div class="product-slider-active owl-carousel">

                        {% for product in relatedProducts  %}
                            {% include "layouts/_products.html.twig" %}
                        {% endfor %}

                    </div>
                </div>
            </div>
        </div>
    {% endif %}

{% endblock %}